package com.example.pantallacompra

import android.content.Intent
import android.os.Bundle
import android.widget.Button
import android.widget.EditText
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity

class compra: AppCompatActivity() {
     override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.pantallacompra)

         val btnCancelar: Button = findViewById(R.id.buttonCancelar)
         val editTextNombre: EditText = findViewById(R.id.editTextNombre)
         val editTextTelefono: EditText = findViewById(R.id.editTextTelefono)
         val btnComprar: Button = findViewById(R.id.buttonComprar)

         btnComprar.setOnClickListener {
             val nombre = editTextNombre.text.toString()
             val telefono = editTextTelefono.text.toString()

             if (nombre.isNotEmpty() && telefono.isNotEmpty()) {
                 val mensaje = "Nombre: $nombre\nTeléfono: $telefono"
                 Toast.makeText(this, mensaje, Toast.LENGTH_SHORT).show()
             } else {
                 Toast.makeText(this, "Por favor, ingrese su nombre y número de teléfono", Toast.LENGTH_SHORT).show()
             }
         }

         btnCancelar.setOnClickListener {
             val intent = Intent(this, ChairList::class.java)
             startActivity(intent)
         }
    }
}